summaryrefslogtreecommitdiff
path: root/src/plugins/fuzz_default.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/plugins/fuzz_default.sh')
-rwxr-xr-xsrc/plugins/fuzz_default.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/src/plugins/fuzz_default.sh b/src/plugins/fuzz_default.sh
index 67292cf..c404723 100755
--- a/src/plugins/fuzz_default.sh
+++ b/src/plugins/fuzz_default.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -eu
+
ZZSTARTSEED=0
ZZSTOPSEED=100
ret=0
@@ -14,15 +16,17 @@ then
bindir="$bindir/bin"
fi
-if test -x `which zzuf`
+if test ! -x `which zzuf`
then
+ echo "zzuf not available, not running the test"
exit 77
fi
if test -x `which timeout`
then
- TIMEOUT=timeout 15
+ TIMEOUT="timeout 15"
else
+ echo "timeout command not found, will not auto-timeout (may cause hang)"
TIMEOUT=""
fi
@@ -37,7 +41,7 @@ do
do
echo "file $file seed $seed"
zzuf -c -s $seed cat "$file" > "$tmpfile"
- if ! "$TIMEOUT $bindir/extract" -i "$tmpfile" > /dev/null
+ if ! $TIMEOUT $bindir/extract -i "$tmpfile" > /dev/null
then
echo "$tmpfile with seed $seed failed"
mv $tmpfile $tmpfile.keep